databases/pgtclng - The NetBSD Packages Collection

Next Generation TCL interface to PostgreSQL

TCL interface to PostgreSQL.

This is one of three different ones that are available. This is the
"standard version" evolved from the interfaces/libpgtcl which used to
be included with the PostgreSQL distribution. There is also a pgintcl
interface, which is entirely native TCL and does not rely on libpq, and
pgtcl, which is the "current generation" version of pgtclng.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/tcl databases/postgresql14-client lang/tcl databases/postgresql14-client

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 10.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 10.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 10.0aarch64ebpgtclng-1.5.3nb8.tgz
NetBSD 10.0aarch64ebpgtclng-1.5.3nb8.tgz
NetBSD 10.0earmv6hfpgtclng-1.5.3nb8.tgz
NetBSD 10.0earmv6hfpgtclng-1.5.3nb8.tgz
NetBSD 10.0earmv7hfpgtclng-1.5.3nb8.tgz
NetBSD 10.0earmv7hfpgtclng-1.5.3nb8.tgz
NetBSD 10.0i386pgtclng-1.5.3nb8.tgz
NetBSD 10.0i386pgtclng-1.5.3nb8.tgz
NetBSD 10.0i386pgtclng-1.5.3nb8.tgz
NetBSD 10.0powerpcpgtclng-1.5.3nb8.tgz
NetBSD 10.0powerpcpgtclng-1.5.3nb8.tgz
NetBSD 10.0sh3elpgtclng-1.5.3nb8.tgz
NetBSD 10.0sparc64pgtclng-1.5.3nb8.tgz
NetBSD 10.0sparcpgtclng-1.5.3nb8.tgz
NetBSD 10.0sparcpgtclng-1.5.3nb8.tgz
NetBSD 10.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 10.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 10.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 9.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 9.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 9.0aarch64pgtclng-1.5.3nb8.tgz
NetBSD 9.0earmv6hfpgtclng-1.5.3nb8.tgz
NetBSD 9.0earmv6hfpgtclng-1.5.3nb8.tgz
NetBSD 9.0earmv7hfpgtclng-1.5.3nb8.tgz
NetBSD 9.0earmv7hfpgtclng-1.5.3nb8.tgz
NetBSD 9.0i386pgtclng-1.5.3nb8.tgz
NetBSD 9.0i386pgtclng-1.5.3nb8.tgz
NetBSD 9.0i386pgtclng-1.5.3nb8.tgz
NetBSD 9.0powerpcpgtclng-1.5.3nb8.tgz
NetBSD 9.0powerpcpgtclng-1.5.3nb8.tgz
NetBSD 9.0powerpcpgtclng-1.5.3nb8.tgz
NetBSD 9.0sparc64pgtclng-1.5.3nb8.tgz
NetBSD 9.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 9.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 9.0x86_64pgtclng-1.5.3nb8.tgz
NetBSD 9.3x86_64pgtclng-1.5.3nb8.tgz
NetBSD 9.3x86_64pgtclng-1.5.3nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.